/* -*- Mode: C -*-
 * This file is part Tempura: Interval Temporal Logic interpreter.
 *  
 * Copyright (C) 1998-2017 Antonio Cau 
 *
 * Tempura is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Tempura is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Tempura.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/* 
 * library of commands to connect with external program
 */

define get_tcl(Y) = {
  input Y and empty and format("\n!E: prog0 %s\n",parstr([Y]))
}.

define prog_send1(A,X) = 
{
    empty and format("!E: prog%s %s\n",ctype(A),parstr([X]))
}. 

define prog_send(X) = {
  empty and format("!E: prog0 %s\n",parstr([X]))
}.

define prog_send_ne1(A,X) = {
    format("!E: prog%s %s\n",ctype(A),parstr([X]))
}.

define prog_send_ne(X) = {
   format("!E: prog0 %s\n",parstr([X]))
}.

define p_get_tcl(Z,Y) = {
  input Y and empty and format("\n!E: prog%s %s\n",str(Z),parstr([Y]))
}.

define p_prog_send(Z,X) = {
  empty and format("\n!E: prog%s %s\n",str(Z),parstr([X]))
}.

define p_prog_send_ne(Z,X) = {
   format("\n!E: prog%s %s\n",str(Z),parstr([X]))
}.
